<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Dozent\KursUebersicht\PdfListen\KurstageArbeitsbericht;

class ShowSettingsKurstageArbeitsberichtPresenter extends \Kufer\KuferTools\Basis\Presenter\Presenter
{
  protected function getView()
  {
    return new ShowSettingsKurstageArbeitsberichtView($this->getViewModel());
  }

  protected function getViewModel()
  {
    $viewModel = new ShowSettingsKurstageArbeitsberichtViewModel();
    $viewModel->knr = $this->useCaseResponse->knr;

    return $viewModel;
  }
}